Skip to Content

Fields

11 endpoints

POST /api/v5/artifacts/fields/get

Get Field

Get field information using the canonical shared field operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ field_id?: `string` | `null` draft_id?: `string` | `null` descriptions_search?: `string` | `null` conditional_parameter_search?: `string` | `null` conditional_parameter_show_selected?: `boolean` | `null` }

Response:

{ actor_name?: `string` | `null` field_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` names?: `FieldNameSection` | `null` descriptions?: `FieldDescriptionSection` | `null` flags?: `FieldFlagSection` | `null` departments?: `FieldDepartmentSection` | `null` conditional_parameters?: `FieldConditionalParameterSection` | `null` }

POST /api/v5/artifacts/fields/search

Search Field

Search fields — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` parameter_ids?: `string`[] | `null` persona_ids?: `string`[] | `null` filter_department_ids?: `string`[] | `null` parameter_search?: `string` | `null` persona_search?: `string` | `null` department_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` fields?: `ListFieldApiField`[] | `null` parameter_filter?: `ListFilterSection` | `null` persona_filter?: `ListFilterSection` | `null` department_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/fields/create

Create Field

Create fields using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ fields: `CreateFieldItem`[] }

Response:

{ results: `FieldResultItem`[] }

POST /api/v5/artifacts/fields/update

Update Field

Update fields using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ fields: `UpdateFieldItem`[] }

Response:

{ results: `FieldResultItem`[] }

POST /api/v5/artifacts/fields/duplicate

Duplicate Field

Duplicate a field — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ field_id: `string` }

Response:

{ success: `boolean` field_id: `string` message: `string` }

POST /api/v5/artifacts/fields/delete

Delete Field

Bulk delete fields — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ field_ids: `string`[] }

Response:

{ results: `DeleteFieldResult`[] }

PATCH /api/v5/artifacts/fields/draft

Patch Field Draft

Patch field draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_id?: `string` | `null` department_ids?: `string`[] | `null` conditional_parameter_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `FieldDraftFormState` | `null` }

POST /api/v5/artifacts/fields/drafts

Get Field Drafts

List field drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetFieldDraftResponse`[] | `null` }

POST /api/v5/artifacts/fields/docs

Get Field Docs Endpoint

Get composed documentation for the field artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/fields/export

Export Fields

Export all fields as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ field_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/fields/refresh

Field Refresh

Refresh field materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on